import { ExecutionContext, CallHandler } from '@nestjs/common';
import { Observable } from 'rxjs';
import { Logger } from 'log4js';
import { Log4jsInterceptorAbstract } from './log4js.interceptor.abstract';
export declare class Log4jsInterceptor extends Log4jsInterceptorAbstract {
    protected requestLogger: Logger;
    protected responseLogger: Logger;
    constructor(requestLogger: Logger, responseLogger: Logger);
    intercept(context: ExecutionContext, next: CallHandler): Observable<any>;
    requestFormat(httpRequest: any): string;
    responseFormat(httpResponse: any): string;
}
