"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var Log4jsModule_1;
const common_1 = require("@nestjs/common");
const log4js_provider_1 = require("./log4js.provider");
const log4js_constant_1 = require("./log4js.constant");
const log4js_service_1 = require("./log4js.service");
const log4js_filter_1 = require("./log4js.filter");
let Log4jsModule = Log4jsModule_1 = class Log4jsModule {
    static forRoot(configuration) {
        return {
            module: Log4jsModule_1,
            providers: [
                {
                    provide: log4js_constant_1.LOG4JS_CONFIG,
                    useValue: configuration,
                },
            ],
            exports: [
                {
                    provide: log4js_constant_1.LOG4JS_CONFIG,
                    useValue: configuration,
                },
            ],
        };
    }
    static forRootAsync(configuration) {
        return {
            module: Log4jsModule_1,
            providers: [{
                    provide: log4js_constant_1.LOG4JS_CONFIG,
                    useFactory: configuration.useFactory,
                    inject: configuration.inject,
                }],
            exports: [{
                    provide: log4js_constant_1.LOG4JS_CONFIG,
                    useFactory: configuration.useFactory,
                    inject: configuration.inject,
                }],
        };
    }
};
Log4jsModule = Log4jsModule_1 = __decorate([
    common_1.Global(),
    common_1.Module({
        providers: [
            ...log4js_provider_1.Log4jsProvider,
            log4js_service_1.Log4jsService,
            log4js_filter_1.Log4jsFilter,
        ],
        exports: [
            ...log4js_provider_1.Log4jsProvider,
            log4js_service_1.Log4jsService,
            log4js_filter_1.Log4jsFilter,
        ],
    })
], Log4jsModule);
exports.Log4jsModule = Log4jsModule;
